Package com.google.javascript.jscomp

# Enum SourceMap.Format

java.lang.Object
java.lang.Enum<SourceMap.Format>
com.google.javascript.jscomp.SourceMap.Format

All Implemented Interfaces:
  `Serializable`, `Comparable<SourceMap.Format>`, `java.lang.constant.Constable`

Enclosing class:
  `SourceMap`

public static enum SourceMap.Format extends Enum<SourceMap.Format>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
`V1`
`V2`
`V3`

## Method Summary

Modifier and Type
Method
Description
`static SourceMap.Format`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SourceMap.Format[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### V1

public static final SourceMap.Format V1

### DEFAULT

public static final SourceMap.Format DEFAULT

### V2

public static final SourceMap.Format V2

### V3

public static final SourceMap.Format V3

## Method Details

### values

public static SourceMap.Format[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SourceMap.Format valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null